//=============================================================================
// RPG Maker MZ - Jump To Varible
//=============================================================================

/*:
 * @target MZ
 * @plugindesc Jump To Label => Can jump to varible
 * @author Evilcat
 * @help 
 *
 * This plugin add varible input into Jump To Label command.
 * Ex. Label Name: V=1 This mean jump to value of varible Id=1.
 */

(() => {

    // Jump to Label Custome To Variable
    Game_Interpreter.prototype.command119 = function(params) {
	let labelName = params[0];
	const labelvars = labelName.split('=');
	if(labelvars[0]=='V')labelName = $gameVariables.value(labelvars[1]);
    	//console.log("labelName="+labelName);
    	for (let i = 0; i < this._list.length; i++) {
            const command = this._list[i];
            if (command.code === 118 && command.parameters[0] == labelName) {
            	this.jumpTo(i);
            	break;
            }
	}
    	return true;
    };

})();

